# Interface TransformOptions

interface TransformOptions {
allowHalfOpen?: boolean;
autoDestroy?: boolean;
decodeStrings?: boolean;
defaultEncoding?: BufferEncoding;
emitClose?: boolean;
encoding?: BufferEncoding;
highWaterMark?: number;
objectMode?: boolean;
readableHighWaterMark?: number;
readableObjectMode?: boolean;
signal?: AbortSignal;
writableCorked?: number;
writableHighWaterMark?: number;
writableObjectMode?: boolean;
construct?(this, callback): void;
destroy?(this, error, callback): void;
final?(this, callback): void;
flush?(this, callback): void;
read?(this, size): void;
transform?(this, chunk, encoding, callback): void;
write?(this, chunk, encoding, callback): void;
writev?(this, chunks, callback): void;
}

#### Hierarchy (view full)

- DuplexOptions
  - TransformOptions

- Defined in node_modules/@types/node/stream.d.ts:1254

#####
Index

### Properties

allowHalfOpen?
autoDestroy?
decodeStrings?
defaultEncoding?
emitClose?
encoding?
highWaterMark?
objectMode?
readableHighWaterMark?
readableObjectMode?
signal?
writableCorked?
writableHighWaterMark?
writableObjectMode?

### Methods

construct?
destroy?
final?
flush?
read?
transform?
write?
writev?

## Properties

### `Optional` allowHalfOpen

allowHalfOpen?: boolean

Inherited from DuplexOptions.allowHalfOpen

- Defined in node_modules/@types/node/stream.d.ts:1026

### `Optional` autoDestroy

autoDestroy?: boolean

Inherited from DuplexOptions.autoDestroy

- Defined in node_modules/@types/node/stream.d.ts:960

### `Optional` decodeStrings

decodeStrings?: boolean

Inherited from DuplexOptions.decodeStrings

- Defined in node_modules/@types/node/stream.d.ts:987

### `Optional` defaultEncoding

defaultEncoding?: BufferEncoding

Inherited from DuplexOptions.defaultEncoding

- Defined in node_modules/@types/node/stream.d.ts:988

### `Optional` emitClose

emitClose?: boolean

Inherited from DuplexOptions.emitClose

- Defined in node_modules/@types/node/stream.d.ts:955

### `Optional` encoding

encoding?: BufferEncoding

Inherited from DuplexOptions.encoding

- Defined in node_modules/@types/node/stream.d.ts:963

### `Optional` highWaterMark

highWaterMark?: number

Inherited from DuplexOptions.highWaterMark

- Defined in node_modules/@types/node/stream.d.ts:956

### `Optional` objectMode

objectMode?: boolean

Inherited from DuplexOptions.objectMode

- Defined in node_modules/@types/node/stream.d.ts:957

### `Optional` readableHighWaterMark

readableHighWaterMark?: number

Inherited from DuplexOptions.readableHighWaterMark

- Defined in node_modules/@types/node/stream.d.ts:1029

### `Optional` readableObjectMode

readableObjectMode?: boolean

Inherited from DuplexOptions.readableObjectMode

- Defined in node_modules/@types/node/stream.d.ts:1027

### `Optional` signal

signal?: AbortSignal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

Inherited from DuplexOptions.signal

- Defined in node_modules/@types/node/events.d.ts:486

### `Optional` writableCorked

writableCorked?: number

Inherited from DuplexOptions.writableCorked

- Defined in node_modules/@types/node/stream.d.ts:1031

### `Optional` writableHighWaterMark

writableHighWaterMark?: number

Inherited from DuplexOptions.writableHighWaterMark

- Defined in node_modules/@types/node/stream.d.ts:1030

### `Optional` writableObjectMode

writableObjectMode?: boolean

Inherited from DuplexOptions.writableObjectMode

- Defined in node_modules/@types/node/stream.d.ts:1028

## Methods

### `Optional` construct

- construct(this, callback): void

- #### Parameters

  - this: Transform
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  Overrides DuplexOptions.construct

  - Defined in node_modules/@types/node/stream.d.ts:1255

### `Optional` destroy

- destroy(this, error, callback): void

- #### Parameters

  - this: Transform
  - error: null | Error
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  Overrides DuplexOptions.destroy

  - Defined in node_modules/@types/node/stream.d.ts:1272

### `Optional` final

- final(this, callback): void

- #### Parameters

  - this: Transform
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  Overrides DuplexOptions.final

  - Defined in node_modules/@types/node/stream.d.ts:1271

### `Optional` flush

- flush(this, callback): void

- #### Parameters

  - this: Transform
  - callback: TransformCallback

  #### Returns void

  - Defined in node_modules/@types/node/stream.d.ts:1274

### `Optional` read

- read(this, size): void

- #### Parameters

  - this: Transform
  - size: number

  #### Returns void

  Overrides DuplexOptions.read

  - Defined in node_modules/@types/node/stream.d.ts:1256

### `Optional` transform

- transform(this, chunk, encoding, callback): void

- #### Parameters

  - this: Transform
  - chunk: any
  - encoding: BufferEncoding
  - callback: TransformCallback

  #### Returns void

  - Defined in node_modules/@types/node/stream.d.ts:1273

### `Optional` write

- write(this, chunk, encoding, callback): void

- #### Parameters

  - this: Transform
  - chunk: any
  - encoding: BufferEncoding
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  Overrides DuplexOptions.write

  - Defined in node_modules/@types/node/stream.d.ts:1257

### `Optional` writev

- writev(this, chunks, callback): void

- #### Parameters

  - this: Transform
  - chunks: {
    chunk: any;
    encoding: BufferEncoding;
    }[]
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  Overrides DuplexOptions.writev

  - Defined in node_modules/@types/node/stream.d.ts:1263